---
title: List On-Call schedules
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > On-Call
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

{% callout %}
# Important note for users on the following Datadog sites: app.ddog-gov.com, us2.ddog-gov.com

{% alert level="danger" %}
This product is not supported for your selected [Datadog site](https://docs.datadoghq.com/getting_started/site.md). ({% placeholder "user-datadog-site-name" /%}).
{% /alert %}

{% /callout %}

# List On-Call schedules{% #list-on-call-schedules %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                               |
| ----------------- | ---------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/on-call/schedules |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/on-call/schedules |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/on-call/schedules      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/on-call/schedules      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/on-call/schedules  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/on-call/schedules |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/on-call/schedules     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/on-call/schedules |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/on-call/schedules |

### Overview

Retrieve a list of On-Call schedules. This endpoint requires the `on_call_read` permission.

### Arguments

#### Query Strings

| Name          | Type    | Description                                                                                                                                                                                                                                                          |
| ------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| page[size]    | integer | Number of items to return per page. The maximum allowed value is 100.                                                                                                                                                                                                |
| page[number]  | integer | Specific page number to return.                                                                                                                                                                                                                                      |
| filter[query] | string  | Search query to filter schedules. Supports free-text search on schedule name (case-insensitive, `*` wildcards), and structured filters such as `team.id:<uuid>` and `user.id:<uuid>` (multiple values can be combined with `OR`, e.g. `user.id:(<uuid> OR <uuid>)`). |
| include       | string  | Comma-separated list of included relationships to be returned. Allowed value: `teams`.                                                                                                                                                                               |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
A list of schedules with pagination metadata and any related included resources (such as teams).

| Parent field  | Field                  | Type     | Description                                                                                                         |
| ------------- | ---------------------- | -------- | ------------------------------------------------------------------------------------------------------------------- |
|               | data                   | [object] | A list of schedules.                                                                                                |
| data          | attributes             | object   | Provides core properties of a schedule object such as its name and time zone.                                       |
| attributes    | name                   | string   | A short name for the schedule.                                                                                      |
| attributes    | tags                   | [string] | A list of tags associated with the schedule.                                                                        |
| attributes    | time_zone              | string   | The time zone in which this schedule operates.                                                                      |
| data          | id [*required*]   | string   | The schedule's unique identifier.                                                                                   |
| data          | relationships          | object   | Groups the relationships for a schedule summary, referencing its teams.                                             |
| relationships | teams                  | object   | Associates teams with this schedule in a data structure.                                                            |
| teams         | data                   | [object] | An array of team references for this schedule.                                                                      |
| data          | id [*required*]   | string   | The unique identifier of the team in this relationship.                                                             |
| data          | type [*required*] | enum     | Teams resource type. Allowed enum values: `teams`                                                                   |
| data          | type [*required*] | enum     | Schedules resource type. Allowed enum values: `schedules`                                                           |
|               | included               | [object] | Any additional resources related to the schedules, such as teams.                                                   |
| included      | attributes             | object   | Encapsulates the basic attributes of a Team reference, such as name, handle, and an optional avatar or description. |
| attributes    | avatar                 | string   | URL or reference for the team's avatar (if available).                                                              |
| attributes    | description            | string   | A short text describing the team.                                                                                   |
| attributes    | handle                 | string   | A unique handle/slug for the team.                                                                                  |
| attributes    | name                   | string   | The full, human-readable name of the team.                                                                          |
| included      | id                     | string   | The team's unique identifier.                                                                                       |
| included      | type [*required*] | enum     | Teams resource type. Allowed enum values: `teams`                                                                   |
|               | meta                   | object   | Metadata that is included in the response when listing schedules.                                                   |
| meta          | page                   | object   | Metadata related to paging information that is included in the response when listing schedules.                     |
| page          | first_number           | int64    | First page number.                                                                                                  |
| page          | last_number            | int64    | Last page number.                                                                                                   |
| page          | next_number            | int64    | Next page number.                                                                                                   |
| page          | number                 | int64    | Page number.                                                                                                        |
| page          | prev_number            | int64    | Previous page number.                                                                                               |
| page          | size                   | int64    | Page size.                                                                                                          |
| page          | total                  | int64    | Total number of results.                                                                                            |
| page          | type                   | string   | Pagination type.                                                                                                    |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "name": "Primary On-Call",
        "tags": [],
        "time_zone": "America/New_York"
      },
      "id": "3653d3c6-0c75-11ea-ad28-fb5701eabc7d",
      "relationships": {
        "teams": {
          "data": [
            {
              "id": "00000000-da3a-0000-0000-000000000000",
              "type": "teams"
            }
          ]
        }
      },
      "type": "schedules"
    }
  ],
  "meta": {
    "page": {
      "first_number": 0,
      "last_number": 0,
      "next_number": null,
      "number": 0,
      "prev_number": null,
      "size": 10,
      "total": 1,
      "type": "number_size"
    }
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/on-call/schedules" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
